PT BIA - Bug #1804

perubahan format employee id
11/16/2022 09:48 AM - Moch Alinafia

Status: Closed Start date: 11/16/2022
Priority: Normal Due date:

Assignee: Moch Alinafia % Done: 0%
Category: Estimated time: 0.00 hour
Target version: Spent time: 0.00 hour
Description

dear dev

untukformat employee id berubah

dari yymmxxxx

yy = year tmk

mm = mount tmk

XXXX = sequence yg yy dan mm nya sama

di ubah menjadi

YYymmxxxx

yy = year tmk

mm =month tmk

XXXX = sequence dari keseluruhan

dan tambahan untuk
yg employee office khusus plasma sequence nya di mulai dari 0 tida di gabung dengan employee office yg lain , dan apakah
memungkinkan di tambahkan kode plasma jadi format nya seperti ini PLYYMMXXXX (cth : PL22100001)

History

#1 - 11/17/2022 03:58 PM - Moch Alinafia

update, khusus untuk yg payroll type nya plasma (4000) id employee ya di tambahkan kode 4000 didepan dan squence nya hanya berlaku untuk yg
plasma saja
contoh 400020221117

#2 - 11/18/2022 10:37 AM - Tri Rizqgiaty

- File GENEMPID_202211161740.sql added
- File wizard.js added

- File GENEMPID.xIsx added

- Status changed from Assigned to Developing

Fixing :

1. Update Ul\app\controller\wizard : wizard.js
2. Execute SP : GENEMPID_202211161740.sql file Terlampir
3. Update table PCMWFCUSTPARAM - FieldName : GENEMPID - rubah isi field Value sesuai file excel terlampir

#3 - 11/18/2022 10:37 AM - Tri Rizqiaty
- Status changed from Developing to QA Test

- Assignee changed from Tri Rizqiaty to Moch Alinafia

#4 - 11/28/2022 02:20 PM - Moch Alinafia
- Status changed from QA Test to Closed

Files
GENEMPID_202211161740.sq| 990 Bytes 11/18/2022 Tri Rizqgiaty
wizard.js 114 KB 11/18/2022 Tri Rizqgiaty
GENEMPID.xIsx 8.79 KB 11/18/2022 Tri Rizqiaty
